/*
 * Error.h - Header file for error handling framework.
 *
 *	Function Prototypes
 *	Macros
 *	Constants
 *
 * Copyright 2002 William R. Swanson
 * site@swansontec.com
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *	General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

/******************************************************************************
 * Function prototypes:
 */

void ErrorAPI	(char szTitle[]);
void ErrorBox	(char szTitle[], char szError[]);

/******************************************************************************
 * Macros:
 */

/*For functions that return a BOOL value:*/
#define bErrAPI(title)		{ErrorAPI(title);return FALSE;}
#define bErrBox(title,sz)	{ErrorBox(title,sz);return FALSE;}

/*For functions that return a void:*/
#define vErrAPI(title)		{ErrorAPI(title);return;}
#define vErrBox(title,sz)	{ErrorBox(title,sz);return;}

/*For functions that return a pointer:*/
#define pErrAPI(title)		{ErrorAPI(title);return NULL;}
#define pErrBox(title,sz)	{ErrorBox(title,sz);return NULL;}

/******************************************************************************
 * Constants:
 */

#define M_ERR_API_MSG	"An error has occurred. Windows reports the following problem: "
#define M_ERR_API_GEN	"An unknown error has occurred."
#define M_ERR_API_LEN	(sizeof(M_ERR_API_MSG)-1)
#define M_ERR_API_BUF	255